Last Comment Bug 674446 - Add a bit of logging to nsGlueLinkingOSX.cpp
: Add a bit of logging to nsGlueLinkingOSX.cpp
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: XPCOM (show other bugs)
: unspecified
: x86 Mac OS X
: -- normal (vote)
: mozilla8
Assigned To: Rafael Ávila de Espíndola (:espindola) (not reading bugmail)
:
: Nathan Froyd [:froydnj]
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-26 20:25 PDT by Rafael Ávila de Espíndola (:espindola) (not reading bugmail)
Modified: 2011-08-09 09:03 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
add logging (1014 bytes, patch)
2011-07-26 20:25 PDT, Rafael Ávila de Espíndola (:espindola) (not reading bugmail)
benjamin: review+
Details | Diff | Splinter Review
Also add logging to the dlopen case (1.59 KB, patch)
2011-07-27 07:43 PDT, Rafael Ávila de Espíndola (:espindola) (not reading bugmail)
mh+mozilla: review+
Details | Diff | Splinter Review

Description Rafael Ávila de Espíndola (:espindola) (not reading bugmail) 2011-07-26 20:25:44 PDT
Created attachment 548676 [details] [diff] [review]
add logging

The attached patch helped me debug why my build was not starting on 10.5. I tried to change fprintf to PR_LOG, but got undefined references to _PR_LogPrint.
Comment 1 Mike Hommey [:glandium] 2011-07-26 23:02:31 PDT
Comment on attachment 548676 [details] [diff] [review]
add logging

While you're here, I'd suggest to add similar logging to nsGlueLinkingDlopen.cpp and nsGlueLinkingWin.cpp. (And it's expected you can't use PR_LOG: nspr is not available from the xpcom standalone glue).

Note that I'm not an xpcom peer.
Comment 2 Rafael Ávila de Espíndola (:espindola) (not reading bugmail) 2011-07-27 07:43:45 PDT
Created attachment 548782 [details] [diff] [review]
Also add logging to the dlopen case

The Windows file already has error handling, this adding logging to OS X and dlopen.
Comment 3 :Ehsan Akhgari 2011-07-27 11:59:21 PDT
Let's get this landed when all of the patches have been reviewed.
Comment 4 Rafael Ávila de Espíndola (:espindola) (not reading bugmail) 2011-08-08 10:51:01 PDT
Mike, Benjamin r+ the previous patch. The current one adds the extra logging you asked for. Is it OK?
Comment 5 :Ehsan Akhgari 2011-08-08 20:16:34 PDT
Pushed to inbound.

Note You need to log in before you can comment on or make changes to this bug.